package com.ghjg.shoreline.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ghjg.shoreline.dto.DredgingProjectShips;
import com.ghjg.shoreline.service.DredgingProjectShipsService;
import com.ghjg.shoreline.mapper.DredgingProjectShipsMapper;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 *
 */
@Service
public class DredgingProjectShipsServiceImpl extends ServiceImpl<DredgingProjectShipsMapper, DredgingProjectShips>
    implements DredgingProjectShipsService{

  @Resource
  private DredgingProjectShipsMapper dredgingProjectShipsMapper;

  @Override
  public List<String> getAllProjectId() {
    return dredgingProjectShipsMapper.getAllProjectId();
  }

  @Override
  public void updateVideoId(DredgingProjectShips ship) {
    dredgingProjectShipsMapper.updateVideoId(ship);
  }
}




